<?php
namespace SitePage;

use Classe\AnnonceClient;
use views\AboutHtml;

if (!isset($v_idVisiteur))
    $v_idVisiteur = "";

switch ($v_typePage) {
    case "db":
        $userClass = new AnnonceClient($conn);
        $userClass->afficherDashBoard($NomSiteCap);
        break;
    case "f":
        $userClass = new AnnonceClient($conn);
        $userClass->afficherfournisseurs();
        break;
    case "v":
        $userClass = new AnnonceClient($conn);
        $userClass->afficherVisiteurs();
        break;
    case "vv":
        $userClass = new AnnonceClient($conn);
        $userClass->afficherAnnonceClient();
        break;
    case "ab":
        $userClass = new AboutHtml();
        $userClass->AfficherApropos();
        break;
    case "modifCommit":
        $userClass = new AnnonceClient($conn, $v_idVisiteur);
        $userClass->ajoutModifVisiteurCommit("modif");
        break;
    default:
        $userClass = new AnnonceClient($conn);
        $userClass->afficherDashBoard($NomSiteCap);
}
